using Cute;
using Wizard;

internal class ShopSupplyCardPanel : MyPageCardPanel
{
	private const string SPECIAL_SUPPLY_CARD_PANEL_TEXTURE = "menu_shop_sleeve_special";

	public bool IsLoadedDefaultCardPanelResource { get; private set; }

	public bool IsLoadedSpecialCardPanelResource { get; private set; }

	public override string GetResourcePath(bool isfetch)
	{
		ShopNotification shopNotification = Data.MyPageNotifications.data.ShopNotification;
		if (shopNotification.AppealSleeve.IsCollaborationPanel || shopNotification.AppealLeaderSkin.IsCollaborationPanel)
		{
			if (!isfetch)
			{
				IsLoadedSpecialCardPanelResource = true;
			}
			return Toolbox.ResourcesManager.GetAssetTypePath("menu_shop_sleeve_special", ResourcesManager.AssetLoadPathType.UiDownLoad, isfetch);
		}
		if (!isfetch)
		{
			IsLoadedDefaultCardPanelResource = true;
		}
		return base.GetResourcePath(isfetch);
	}
}
